<%@ page import="java.util.List"%>
<%!
    private String name;
    private List itemsOrdered;

    public void setName(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

    public List getItemsOrdered() {
        return itemsOrdered;
    }

    public void setItemsOrdered(List itemsOrdered) {
        this.itemsOrdered = itemsOrdered;
    }

%>
%>
Hi <%= getName() %>,

Items you ordered:

<%
    for (int i = 0; i < getItemsOrdered().size(); i++) {
        String itemOrdered = (String) getItemsOrdered().get(i);
%>    - <%= itemOrdered %>
<%
    }
%>

Regards,
Sample Company.